accessReviewInstance: pendingAccessReviewInstances (deprecated)
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Note
This method will be deprecated and will stop returning data on May 19, 2023. It has been replaced by filterByCurrentUser.
Retrieve the accessReviewInstance objects pending approval by the calling user. A list of zero or more accessReviewInstance objects are returned, of which the calling user is an assigned reviewer.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | AccessReview.Read.All, AccessReview.ReadWrite.All |
The signed-in user only sees instances of which they are assigned reviewer in the accessReviewScheduleDefinition of the instance.
HTTP request
GET /me/pendingAccessReviewInstances
Optional query parameters
This method supports $skip and $top OData query parameters to help customize the response. For general information, see OData query parameters.
The default page size for this API is 100 accessReviewInstance objects. To improve efficiency and avoid timeouts due to large result sets, apply pagination using the $skip and $top query parameters. For more information, see Paging Microsoft Graph data in your app.
Request headers
None.
Request body
Do not supply a request body.
Response
If successful, this method returns a 200 OK response code and an array of accessReviewInstance objects in the response body.
Examples
Request
The following example shows a request to retrieve all the access review series in a tenant.
GET https://graph.microsoft.com/beta/me/pendingAccessReviewInstances?$expand=definition&$top=100&$skip=0
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.count": 1,
"value": [
{
"id": "70a68410-67f3-4d4c-b946-6989e050be19",
"startDateTime": "2020-09-09T15:57:56Z",
"endDateTime": "2020-10-08T15:57:56Z",
"status": "InProgress",
"scope": {
"query": "/groups/04b3d70b-c770-46cb-b751-d857d2beedff/transitiveMembers",
"queryType": "MicrosoftGraph"
},
"definition": {
"id": "70a68410-67f3-4d4c-b946-6989e050be19",
"displayName": "review of leadership",
"createdDateTime": "2020-09-08T15:59:06Z",
"lastModifiedDateTime": "2020-09-09T15:58:24Z",
"status": "InProgress",
"descriptionForAdmins": "review of leadership",
"descriptionForReviewers": "",
"createdBy": {
"id": "957f1027-c0ee-460d-9269-b8828e59e0fe",
"displayName": "MOD Administrator",
"userPrincipalName": "admin@msft.com"
},
"scope": {
"query": "/groups/04b3d70b-c770-46cb-b751-d857d2beedff/transitiveMembers",
"queryType": "MicrosoftGraph"
},
"instanceEnumerationScope": {
"query": "/groups/04b3d70b-c770-46cb-b751-d857d2beedff",
"queryType": "MicrosoftGraph"
},
"reviewers": [
{
"query": "/users/957f1027-c0ee-460d-9269-b8828e59e0fe",
"queryType": "MicrosoftGraph",
"queryRoot": null
}
],
"settings": {
"mailNotificationsEnabled": true,
"reminderNotificationsEnabled": true,
"justificationRequiredOnApproval": true,
"defaultDecisionEnabled": false,
"defaultDecision": "None",
"instanceDurationInDays": 0,
"autoApplyDecisionsEnabled": false,
"recommendationsEnabled": true,
"recurrence": {
"pattern": null,
"range": {
"type": "numbered",
"numberOfOccurrences": 0,
"recurrenceTimeZone": null,
"startDate": "2020-09-09",
"endDate": "2020-10-08"
}
},
"applyActions": [
{
"@odata.type": "#microsoft.graph.removeAccessApplyAction"
}
]
}
}
}
]
}
See also
Feedback
Submit and view feedback for